### Hierarchy

- WalletsClient

## Index

### Constructors

- constructor

### Properties

- client_
- credentials_
- hostname_
- methodDescriptorCreateXmrTx
- methodDescriptorGetAddressBalance
- methodDescriptorGetBalances
- methodDescriptorGetFundingAddresses
- methodDescriptorGetTransaction
- methodDescriptorGetTxFeeRate
- methodDescriptorGetXmrNewSubaddress
- methodDescriptorGetXmrPrimaryAddress
- methodDescriptorGetXmrSeed
- methodDescriptorGetXmrTxs
- methodDescriptorLockWallet
- methodDescriptorRemoveWalletPassword
- methodDescriptorSendBtc
- methodDescriptorSetTxFeeRatePreference
- methodDescriptorSetWalletPassword
- methodDescriptorUnlockWallet
- methodDescriptorUnsetTxFeeRatePreference
- methodDescriptorrelayXmrTx
- options_

### Methods

- createXmrTx
- getAddressBalance
- getBalances
- getFundingAddresses
- getTransaction
- getTxFeeRate
- getXmrNewSubaddress
- getXmrPrimaryAddress
- getXmrSeed
- getXmrTxs
- lockWallet
- relayXmrTx
- removeWalletPassword
- sendBtc
- setTxFeeRatePreference
- setWalletPassword
- unlockWallet
- unsetTxFeeRatePreference

## Constructors

### constructor

- new WalletsClient(hostname: string, credentials?: null | {}, options?: null | {}): WalletsClient

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3029

  #### Parameters

  - ##### hostname: string

  - ##### Optional credentials: null | {}

  - ##### Optional options: null | {}

  #### Returns WalletsClient

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:3024

### credentials_

credentials_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:3026

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:3025

### methodDescriptorCreateXmrTx

methodDescriptorCreateXmrTx: MethodDescriptor < CreateXmrTxRequest , CreateXmrTxReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3257

### methodDescriptorGetAddressBalance

methodDescriptorGetAddressBalance: MethodDescriptor < GetAddressBalanceRequest , GetAddressBalanceReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3343

### methodDescriptorGetBalances

methodDescriptorGetBalances: MethodDescriptor < GetBalancesRequest , GetBalancesReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3042

### methodDescriptorGetFundingAddresses

methodDescriptorGetFundingAddresses: MethodDescriptor < GetFundingAddressesRequest , GetFundingAddressesReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3601

### methodDescriptorGetTransaction

methodDescriptorGetTransaction: MethodDescriptor < GetTransactionRequest , GetTransactionReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3558

### methodDescriptorGetTxFeeRate

methodDescriptorGetTxFeeRate: MethodDescriptor < GetTxFeeRateRequest , GetTxFeeRateReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3429

### methodDescriptorGetXmrNewSubaddress

methodDescriptorGetXmrNewSubaddress: MethodDescriptor < GetXmrNewSubaddressRequest , GetXmrNewSubaddressReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3171

### methodDescriptorGetXmrPrimaryAddress

methodDescriptorGetXmrPrimaryAddress: MethodDescriptor < GetXmrPrimaryAddressRequest , GetXmrPrimaryAddressReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3128

### methodDescriptorGetXmrSeed

methodDescriptorGetXmrSeed: MethodDescriptor < GetXmrSeedRequest , GetXmrSeedReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3085

### methodDescriptorGetXmrTxs

methodDescriptorGetXmrTxs: MethodDescriptor < GetXmrTxsRequest , GetXmrTxsReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3214

### methodDescriptorLockWallet

methodDescriptorLockWallet: MethodDescriptor < LockWalletRequest , LockWalletReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3730

### methodDescriptorRemoveWalletPassword

methodDescriptorRemoveWalletPassword: MethodDescriptor < RemoveWalletPasswordRequest , RemoveWalletPasswordReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3687

### methodDescriptorSendBtc

methodDescriptorSendBtc: MethodDescriptor < SendBtcRequest , SendBtcReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3386

### methodDescriptorSetTxFeeRatePreference

methodDescriptorSetTxFeeRatePreference: MethodDescriptor < SetTxFeeRatePreferenceRequest , SetTxFeeRatePreferenceReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3472

### methodDescriptorSetWalletPassword

methodDescriptorSetWalletPassword: MethodDescriptor < SetWalletPasswordRequest , SetWalletPasswordReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3644

### methodDescriptorUnlockWallet

methodDescriptorUnlockWallet: MethodDescriptor < UnlockWalletRequest , UnlockWalletReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3773

### methodDescriptorUnsetTxFeeRatePreference

methodDescriptorUnsetTxFeeRatePreference: MethodDescriptor < UnsetTxFeeRatePreferenceRequest , UnsetTxFeeRatePreferenceReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3515

### methodDescriptorrelayXmrTx

methodDescriptorrelayXmrTx: MethodDescriptor < RelayXmrTxRequest , RelayXmrTxReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3300

### options_

options_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:3027

## Methods

### createXmrTx

- createXmrTx(request: CreateXmrTxRequest, metadata: null | Metadata ): Promise< CreateXmrTxReply >
- createXmrTx(request: CreateXmrTxRequest, metadata: null | Metadata, callback: (err: RpcError, response: CreateXmrTxReply ) => void): ClientReadableStream < CreateXmrTxReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3268

  #### Parameters

  - ##### request: CreateXmrTxRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< CreateXmrTxReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3272

  #### Parameters

  - ##### request: CreateXmrTxRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: CreateXmrTxReply ) => void

    - - (err: RpcError, response: CreateXmrTxReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: CreateXmrTxReply

        #### Returns void

  #### Returns ClientReadableStream < CreateXmrTxReply >

### getAddressBalance

- getAddressBalance(request: GetAddressBalanceRequest, metadata: null | Metadata ): Promise< GetAddressBalanceReply >
- getAddressBalance(request: GetAddressBalanceRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetAddressBalanceReply ) => void): ClientReadableStream < GetAddressBalanceReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3354

  #### Parameters

  - ##### request: GetAddressBalanceRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetAddressBalanceReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3358

  #### Parameters

  - ##### request: GetAddressBalanceRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetAddressBalanceReply ) => void

    - - (err: RpcError, response: GetAddressBalanceReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetAddressBalanceReply

        #### Returns void

  #### Returns ClientReadableStream < GetAddressBalanceReply >

### getBalances

- getBalances(request: GetBalancesRequest, metadata: null | Metadata ): Promise< GetBalancesReply >
- getBalances(request: GetBalancesRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetBalancesReply ) => void): ClientReadableStream < GetBalancesReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3053

  #### Parameters

  - ##### request: GetBalancesRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetBalancesReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3057

  #### Parameters

  - ##### request: GetBalancesRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetBalancesReply ) => void

    - - (err: RpcError, response: GetBalancesReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetBalancesReply

        #### Returns void

  #### Returns ClientReadableStream < GetBalancesReply >

### getFundingAddresses

- getFundingAddresses(request: GetFundingAddressesRequest, metadata: null | Metadata ): Promise< GetFundingAddressesReply >
- getFundingAddresses(request: GetFundingAddressesRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetFundingAddressesReply ) => void): ClientReadableStream < GetFundingAddressesReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3612

  #### Parameters

  - ##### request: GetFundingAddressesRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetFundingAddressesReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3616

  #### Parameters

  - ##### request: GetFundingAddressesRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetFundingAddressesReply ) => void

    - - (err: RpcError, response: GetFundingAddressesReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetFundingAddressesReply

        #### Returns void

  #### Returns ClientReadableStream < GetFundingAddressesReply >

### getTransaction

- getTransaction(request: GetTransactionRequest, metadata: null | Metadata ): Promise< GetTransactionReply >
- getTransaction(request: GetTransactionRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetTransactionReply ) => void): ClientReadableStream < GetTransactionReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3569

  #### Parameters

  - ##### request: GetTransactionRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetTransactionReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3573

  #### Parameters

  - ##### request: GetTransactionRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetTransactionReply ) => void

    - - (err: RpcError, response: GetTransactionReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetTransactionReply

        #### Returns void

  #### Returns ClientReadableStream < GetTransactionReply >

### getTxFeeRate

- getTxFeeRate(request: GetTxFeeRateRequest, metadata: null | Metadata ): Promise< GetTxFeeRateReply >
- getTxFeeRate(request: GetTxFeeRateRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetTxFeeRateReply ) => void): ClientReadableStream < GetTxFeeRateReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3440

  #### Parameters

  - ##### request: GetTxFeeRateRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetTxFeeRateReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3444

  #### Parameters

  - ##### request: GetTxFeeRateRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetTxFeeRateReply ) => void

    - - (err: RpcError, response: GetTxFeeRateReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetTxFeeRateReply

        #### Returns void

  #### Returns ClientReadableStream < GetTxFeeRateReply >

### getXmrNewSubaddress

- getXmrNewSubaddress(request: GetXmrNewSubaddressRequest, metadata: null | Metadata ): Promise< GetXmrNewSubaddressReply >
- getXmrNewSubaddress(request: GetXmrNewSubaddressRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetXmrNewSubaddressReply ) => void): ClientReadableStream < GetXmrNewSubaddressReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3182

  #### Parameters

  - ##### request: GetXmrNewSubaddressRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetXmrNewSubaddressReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3186

  #### Parameters

  - ##### request: GetXmrNewSubaddressRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetXmrNewSubaddressReply ) => void

    - - (err: RpcError, response: GetXmrNewSubaddressReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetXmrNewSubaddressReply

        #### Returns void

  #### Returns ClientReadableStream < GetXmrNewSubaddressReply >

### getXmrPrimaryAddress

- getXmrPrimaryAddress(request: GetXmrPrimaryAddressRequest, metadata: null | Metadata ): Promise< GetXmrPrimaryAddressReply >
- getXmrPrimaryAddress(request: GetXmrPrimaryAddressRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetXmrPrimaryAddressReply ) => void): ClientReadableStream < GetXmrPrimaryAddressReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3139

  #### Parameters

  - ##### request: GetXmrPrimaryAddressRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetXmrPrimaryAddressReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3143

  #### Parameters

  - ##### request: GetXmrPrimaryAddressRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetXmrPrimaryAddressReply ) => void

    - - (err: RpcError, response: GetXmrPrimaryAddressReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetXmrPrimaryAddressReply

        #### Returns void

  #### Returns ClientReadableStream < GetXmrPrimaryAddressReply >

### getXmrSeed

- getXmrSeed(request: GetXmrSeedRequest, metadata: null | Metadata ): Promise< GetXmrSeedReply >
- getXmrSeed(request: GetXmrSeedRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetXmrSeedReply ) => void): ClientReadableStream < GetXmrSeedReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3096

  #### Parameters

  - ##### request: GetXmrSeedRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetXmrSeedReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3100

  #### Parameters

  - ##### request: GetXmrSeedRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetXmrSeedReply ) => void

    - - (err: RpcError, response: GetXmrSeedReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetXmrSeedReply

        #### Returns void

  #### Returns ClientReadableStream < GetXmrSeedReply >

### getXmrTxs

- getXmrTxs(request: GetXmrTxsRequest, metadata: null | Metadata ): Promise< GetXmrTxsReply >
- getXmrTxs(request: GetXmrTxsRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetXmrTxsReply ) => void): ClientReadableStream < GetXmrTxsReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3225

  #### Parameters

  - ##### request: GetXmrTxsRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetXmrTxsReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3229

  #### Parameters

  - ##### request: GetXmrTxsRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetXmrTxsReply ) => void

    - - (err: RpcError, response: GetXmrTxsReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetXmrTxsReply

        #### Returns void

  #### Returns ClientReadableStream < GetXmrTxsReply >

### lockWallet

- lockWallet(request: LockWalletRequest, metadata: null | Metadata ): Promise< LockWalletReply >
- lockWallet(request: LockWalletRequest, metadata: null | Metadata, callback: (err: RpcError, response: LockWalletReply ) => void): ClientReadableStream < LockWalletReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3741

  #### Parameters

  - ##### request: LockWalletRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< LockWalletReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3745

  #### Parameters

  - ##### request: LockWalletRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: LockWalletReply ) => void

    - - (err: RpcError, response: LockWalletReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: LockWalletReply

        #### Returns void

  #### Returns ClientReadableStream < LockWalletReply >

### relayXmrTx

- relayXmrTx(request: RelayXmrTxRequest, metadata: null | Metadata ): Promise< RelayXmrTxReply >
- relayXmrTx(request: RelayXmrTxRequest, metadata: null | Metadata, callback: (err: RpcError, response: RelayXmrTxReply ) => void): ClientReadableStream < RelayXmrTxReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3311

  #### Parameters

  - ##### request: RelayXmrTxRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< RelayXmrTxReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3315

  #### Parameters

  - ##### request: RelayXmrTxRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: RelayXmrTxReply ) => void

    - - (err: RpcError, response: RelayXmrTxReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: RelayXmrTxReply

        #### Returns void

  #### Returns ClientReadableStream < RelayXmrTxReply >

### removeWalletPassword

- removeWalletPassword(request: RemoveWalletPasswordRequest, metadata: null | Metadata ): Promise< RemoveWalletPasswordReply >
- removeWalletPassword(request: RemoveWalletPasswordRequest, metadata: null | Metadata, callback: (err: RpcError, response: RemoveWalletPasswordReply ) => void): ClientReadableStream < RemoveWalletPasswordReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3698

  #### Parameters

  - ##### request: RemoveWalletPasswordRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< RemoveWalletPasswordReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3702

  #### Parameters

  - ##### request: RemoveWalletPasswordRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: RemoveWalletPasswordReply ) => void

    - - (err: RpcError, response: RemoveWalletPasswordReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: RemoveWalletPasswordReply

        #### Returns void

  #### Returns ClientReadableStream < RemoveWalletPasswordReply >

### sendBtc

- sendBtc(request: SendBtcRequest, metadata: null | Metadata ): Promise< SendBtcReply >
- sendBtc(request: SendBtcRequest, metadata: null | Metadata, callback: (err: RpcError, response: SendBtcReply ) => void): ClientReadableStream < SendBtcReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3397

  #### Parameters

  - ##### request: SendBtcRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< SendBtcReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3401

  #### Parameters

  - ##### request: SendBtcRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: SendBtcReply ) => void

    - - (err: RpcError, response: SendBtcReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: SendBtcReply

        #### Returns void

  #### Returns ClientReadableStream < SendBtcReply >

### setTxFeeRatePreference

- setTxFeeRatePreference(request: SetTxFeeRatePreferenceRequest, metadata: null | Metadata ): Promise< SetTxFeeRatePreferenceReply >
- setTxFeeRatePreference(request: SetTxFeeRatePreferenceRequest, metadata: null | Metadata, callback: (err: RpcError, response: SetTxFeeRatePreferenceReply ) => void): ClientReadableStream < SetTxFeeRatePreferenceReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3483

  #### Parameters

  - ##### request: SetTxFeeRatePreferenceRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< SetTxFeeRatePreferenceReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3487

  #### Parameters

  - ##### request: SetTxFeeRatePreferenceRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: SetTxFeeRatePreferenceReply ) => void

    - - (err: RpcError, response: SetTxFeeRatePreferenceReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: SetTxFeeRatePreferenceReply

        #### Returns void

  #### Returns ClientReadableStream < SetTxFeeRatePreferenceReply >

### setWalletPassword

- setWalletPassword(request: SetWalletPasswordRequest, metadata: null | Metadata ): Promise< SetWalletPasswordReply >
- setWalletPassword(request: SetWalletPasswordRequest, metadata: null | Metadata, callback: (err: RpcError, response: SetWalletPasswordReply ) => void): ClientReadableStream < SetWalletPasswordReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3655

  #### Parameters

  - ##### request: SetWalletPasswordRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< SetWalletPasswordReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3659

  #### Parameters

  - ##### request: SetWalletPasswordRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: SetWalletPasswordReply ) => void

    - - (err: RpcError, response: SetWalletPasswordReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: SetWalletPasswordReply

        #### Returns void

  #### Returns ClientReadableStream < SetWalletPasswordReply >

### unlockWallet

- unlockWallet(request: UnlockWalletRequest, metadata: null | Metadata ): Promise< UnlockWalletReply >
- unlockWallet(request: UnlockWalletRequest, metadata: null | Metadata, callback: (err: RpcError, response: UnlockWalletReply ) => void): ClientReadableStream < UnlockWalletReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3784

  #### Parameters

  - ##### request: UnlockWalletRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< UnlockWalletReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3788

  #### Parameters

  - ##### request: UnlockWalletRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: UnlockWalletReply ) => void

    - - (err: RpcError, response: UnlockWalletReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: UnlockWalletReply

        #### Returns void

  #### Returns ClientReadableStream < UnlockWalletReply >

### unsetTxFeeRatePreference

- unsetTxFeeRatePreference(request: UnsetTxFeeRatePreferenceRequest, metadata: null | Metadata ): Promise< UnsetTxFeeRatePreferenceReply >
- unsetTxFeeRatePreference(request: UnsetTxFeeRatePreferenceRequest, metadata: null | Metadata, callback: (err: RpcError, response: UnsetTxFeeRatePreferenceReply ) => void): ClientReadableStream < UnsetTxFeeRatePreferenceReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3526

  #### Parameters

  - ##### request: UnsetTxFeeRatePreferenceRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< UnsetTxFeeRatePreferenceReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:3530

  #### Parameters

  - ##### request: UnsetTxFeeRatePreferenceRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: UnsetTxFeeRatePreferenceReply ) => void

    - - (err: RpcError, response: UnsetTxFeeRatePreferenceReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: UnsetTxFeeRatePreferenceReply

        #### Returns void

  #### Returns ClientReadableStream < UnsetTxFeeRatePreferenceReply >

Generated using TypeDoc